ManagedResource (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jmx.export.annotation

## Annotation Type ManagedResource

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      @Inherited
      @Documented
      public @interface ManagedResource

  JDK 1.5+ class-level annotation that indicates to register instances of a class with a JMX server, corresponding to the ManagedResource attribute.

  Note: This annotation is marked as inherited, allowing for generic management-aware base classes. In such a scenario, it is recommended to not specify an object name value since this would lead to naming collisions in case of multiple subclasses getting registered.

  Since:
    1.2
  Author:
    Rob Harrop, Juergen Hoeller
  See Also:
    `ManagedResource`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `int` | `currencyTimeLimit`
    `String` | `description`
    `boolean` | `log`
    `String` | `logFile`
    `String` | `objectName`
    `String` | `persistLocation`
    `String` | `persistName`
    `int` | `persistPeriod`
    `String` | `persistPolicy`
    `String` | `value` The annotation value is equivalent to the `objectName` attribute, for simple default usage.

- - ### Element Detail

    - #### value

          public abstract String value

      The annotation value is equivalent to the `objectName` attribute, for simple default usage.
      Default:
        ""

    - #### objectName

          public abstract String objectName

      Default:
        ""

    - #### description

          public abstract String description

      Default:
        ""

    - #### currencyTimeLimit

          public abstract int currencyTimeLimit

      Default:
        -1

    - #### log

          public abstract boolean log

      Default:
        false

    - #### logFile

          public abstract String logFile

      Default:
        ""

    - #### persistPolicy

          public abstract String persistPolicy

      Default:
        ""

    - #### persistPeriod

          public abstract int persistPeriod

      Default:
        -1

    - #### persistName

          public abstract String persistName

      Default:
        ""

    - #### persistLocation

          public abstract String persistLocation

      Default:
        ""